package com.swagger.rest.models

import jakarta.persistence.*

@Entity
@Table(name = "platform")
class Platform {
    @Id
    @Column(name = "platform_id")
    @GeneratedValue(strategy = GenerationType.AUTO)
    var id: Long = 0

    @Column(name = "name", length = 100)
    var name: String = ""

    @ManyToOne
    @JoinColumn(name = "project_id", referencedColumnName = "project_id", foreignKey = ForeignKey(name = "FK_plaPro"))
    var project_id: Project? = null

    override fun toString(): String {
        return "Platform [id=$id, name=$name, project_Id=$project_id]"
    }

}