package com.swagger.rest.models

import com.fasterxml.jackson.annotation.JsonIgnore
import jakarta.persistence.*


@Entity
@Table(name = "project")
class Project {
    @Id
    @Column(name = "project_id")
    @GeneratedValue(strategy = GenerationType.AUTO)
    var id: Long = 0

    @Column(name = "name", length = 100)
    var name: String = ""

    @Column(name = "description")
    var description: String? = null

    @OneToMany(mappedBy = "project_id", cascade = [CascadeType.ALL])
    @JsonIgnore
    var project_id: List<Platform> = mutableListOf()

    override fun toString(): String {
        return "Project [id=$id, name=$name, desc=$description]"
    }
}