package com.swagger.rest.repositories

import com.swagger.rest.models.Platform
import org.springframework.data.jpa.repository.JpaRepository
import org.springframework.data.jpa.repository.Query

interface PlatformRepository : JpaRepository<Platform?, Long?> {
    @Query("SELECT f.* FROM platform f WHERE name=?1 AND project_id=?2", nativeQuery = true)
    fun findByName(name: String?, project: String?): List<Platform?>?

    @Query("SELECT f.* FROM platform f WHERE project_id=?1", nativeQuery = true)
    fun findByProject(project: String?): List<Platform?>?
}